#include <device.h>

/* DMA Configuration for DMA_1 */
	#define DMA_1_BYTES_PER_BURST 1
	#define DMA_1_REQUEST_PER_BURST 1
	
uint8 wave[100] = {
    128, 136, 144, 152, 160, 167, 175, 182, 189, 196, 203, 209, 215, 221, 226,
    231, 235, 239, 243, 246, 249, 251, 253, 254, 255, 255, 255, 254, 253, 251,
    249, 246, 243, 239, 235, 231, 226, 221, 215, 209, 203, 196, 189, 182, 175,
    167, 160, 152, 144, 136, 128, 120, 112, 104, 96, 89, 81, 74, 67, 60,
    53, 47, 41, 35, 30, 25, 21, 17, 13, 10, 7, 5, 3, 2, 1,
    1, 1, 2, 3, 5, 7, 10, 13, 17, 21, 25, 30, 35, 41, 47,
    53, 60, 67, 74, 81, 89, 96, 104, 112, 120
};

/* Variable declarations for DMA_1 */
	uint8 DMA_1_Chan;
	uint8 DMA_1_TD;

void main()
{
	Timer_1_Start();
	
	PWM_1_Start();

	DMA_1_Chan = DMA_1_DmaInitialize(DMA_1_BYTES_PER_BURST, DMA_1_REQUEST_PER_BURST, 0, 0);
	DMA_1_TD = CyDmaTdAllocate();
	CyDmaTdSetConfiguration(DMA_1_TD, sizeof(wave), DMA_1_TD, TD_INC_SRC_ADR);
	CyDmaTdSetAddress(DMA_1_TD, (uint16)wave, LO16((uint32)LO16(PWM_1_COMPARE1_LSB_PTR)));
	CyDmaChSetInitialTd(DMA_1_Chan, DMA_1_TD);
	CyDmaChEnable(DMA_1_Chan, 1);
	
    for(;;)
    {
		// DMA runs continuously without CPU intervention
    }
}